package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * The list of registration result.
 */
@ApiModel(description = "The list of registration result.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class TelephoneNumberWithStatusVo   {
  @JsonProperty("phoneNumberId")
  private String phoneNumberId;

  @JsonProperty("profileId")
  private String profileId;

  @JsonProperty("profileName")
  private String profileName;

  @JsonProperty("prefix")
  private String prefix;

  @JsonProperty("number")
  private String number;

  @JsonProperty("status")
  private Integer status;

  @JsonProperty("port")
  private Integer port;

  public TelephoneNumberWithStatusVo phoneNumberId(String phoneNumberId) {
    this.phoneNumberId = phoneNumberId;
    return this;
  }

  /**
   * Get phoneNumberId
   * @return phoneNumberId
  */
  @ApiModelProperty(value = "")


  public String getPhoneNumberId() {
    return phoneNumberId;
  }

  public void setPhoneNumberId(String phoneNumberId) {
    this.phoneNumberId = phoneNumberId;
  }

  public TelephoneNumberWithStatusVo profileId(String profileId) {
    this.profileId = profileId;
    return this;
  }

  /**
   * Get profileId
   * @return profileId
  */
  @ApiModelProperty(value = "")


  public String getProfileId() {
    return profileId;
  }

  public void setProfileId(String profileId) {
    this.profileId = profileId;
  }

  public TelephoneNumberWithStatusVo profileName(String profileName) {
    this.profileName = profileName;
    return this;
  }

  /**
   * Get profileName
   * @return profileName
  */
  @ApiModelProperty(value = "")


  public String getProfileName() {
    return profileName;
  }

  public void setProfileName(String profileName) {
    this.profileName = profileName;
  }

  public TelephoneNumberWithStatusVo prefix(String prefix) {
    this.prefix = prefix;
    return this;
  }

  /**
   * Get prefix
   * @return prefix
  */
  @ApiModelProperty(value = "")


  public String getPrefix() {
    return prefix;
  }

  public void setPrefix(String prefix) {
    this.prefix = prefix;
  }

  public TelephoneNumberWithStatusVo number(String number) {
    this.number = number;
    return this;
  }

  /**
   * Get number
   * @return number
  */
  @ApiModelProperty(value = "")


  public String getNumber() {
    return number;
  }

  public void setNumber(String number) {
    this.number = number;
  }

  public TelephoneNumberWithStatusVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Get status
   * @return status
  */
  @ApiModelProperty(value = "")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public TelephoneNumberWithStatusVo port(Integer port) {
    this.port = port;
    return this;
  }

  /**
   * Get port
   * @return port
  */
  @ApiModelProperty(value = "")


  public Integer getPort() {
    return port;
  }

  public void setPort(Integer port) {
    this.port = port;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TelephoneNumberWithStatusVo telephoneNumberWithStatusVo = (TelephoneNumberWithStatusVo) o;
    return Objects.equals(this.phoneNumberId, telephoneNumberWithStatusVo.phoneNumberId) &&
        Objects.equals(this.profileId, telephoneNumberWithStatusVo.profileId) &&
        Objects.equals(this.profileName, telephoneNumberWithStatusVo.profileName) &&
        Objects.equals(this.prefix, telephoneNumberWithStatusVo.prefix) &&
        Objects.equals(this.number, telephoneNumberWithStatusVo.number) &&
        Objects.equals(this.status, telephoneNumberWithStatusVo.status) &&
        Objects.equals(this.port, telephoneNumberWithStatusVo.port);
  }

  @Override
  public int hashCode() {
    return Objects.hash(phoneNumberId, profileId, profileName, prefix, number, status, port);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TelephoneNumberWithStatusVo {\n");
    
    sb.append("    phoneNumberId: ").append(toIndentedString(phoneNumberId)).append("\n");
    sb.append("    profileId: ").append(toIndentedString(profileId)).append("\n");
    sb.append("    profileName: ").append(toIndentedString(profileName)).append("\n");
    sb.append("    prefix: ").append(toIndentedString(prefix)).append("\n");
    sb.append("    number: ").append(toIndentedString(number)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    port: ").append(toIndentedString(port)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

